Bug 1122498 - Missing perl-Time-HiRes requirement
Summary: Missing perl-Time-HiRes requirement
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: 22
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 11:42 UTC by Petr Pisar
Modified: 2016-07-19 11:57 UTC (History)
9 users (show)

Fixed In Version: perl-5.18.2-303.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of: 1122368
Environment:
Last Closed: 2016-07-19 11:57:33 UTC


Attachments (Terms of Use)

Description Petr Pisar 2014-07-23 11:42:03 UTC
+++ This bug was initially created as a clone of Bug #1122368 +++

perl-Time-HiRes seems to be a missing requirement when configuring cpan for the first time.

See https://bugs.centos.org/view.php?id=7417 for the details and reproduction steps.

[...]
--- Additional comment from Petr Pisar on 2014-07-23 09:08:54 GMT ---

This is a bug in `perl' package. The package should run-require `perl(Time::HiRes)' because Net::Ping module's hires() subroutine loads Time::HiRes:

$hires = 0;
sub hires
{
  my $self = shift;
  $hires = 1 unless defined
    ($hires = ((defined $self) && (ref $self)) ? shift() : $self);
  require Time::HiRes if $hires;
}

--- Additional comment from Petr Pisar on 2014-07-23 09:38:27 GMT ---

There is another issue after proceeding next:

Can't locate local/lib.pm in @INC (@INC contains: /root/perl5/lib/perl5/x86_64-linux-thread-multi /root/perl5/lib/perl5 /usr/local/lib64/perl5 /usr/local/share/perl5 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5 /root) at /usr/share/perl5/CPAN/FirstTime.pm line 1300.

The CPAN::FirstTime module offers local::lib by default if site directories do not exist:

sub _local_lib_config {
    # Set environment stuff for this process
    require local::lib;
    [...]
}

perl-CPAN sub-package should run-require `perl(local::lib)' too.

--- Additional comment from Petr Pisar on 2014-07-23 09:47:12 GMT ---

How to test:

(1) # yum remove perl
(2) # yum install /usr/bin/cpan
(3) # rm -rf ~/.cpan
(4) # cpan </dev/null
Before:
  The reported message is printed and the `cpan' command dies with a non-zero
  exit code.
After:
  The `cpan' command succeeds.

----

Distribution  perl(Time::HiRes)   perl(local::lib)

Fedora 22     ok                  missing
Fedora 21     ok                  missing
Fedora 20     ok                  missing
Fedora 19     ok                  missing

Comment 1 Jaroslav Reznik 2015-03-03 17:15:02 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora End Of Life 2016-07-19 11:57:33 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.